Katello - Bug #7427

Remove params local variables in our controller code
09/12/2014 12:50 PM - David Davis

Status: Closed
Priority: Normal
Assignee: David Davis
Category: API
Target version: Katello 2.0
Difficulty: trivial Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/465
6
Description

We have local variables in our controller code called 'params' which may cause conflicts later on when people are trying to call Rails'
params method.

Associated revisions

Revision 86f78e1a - 09/12/2014 12:55 PM - David Davis

Fixes #7427 - Avoid use of params local variables

Revision c41293c1 - 09/15/2014 09:59 AM - David Davis
Merge pull request #4656 from daviddavis/temp/20140912125518

Fixes #7427 - Avoid use of params local variables in controllers

History

#1 - 09/12/2014 12:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 56

- Pull request https://github.com/Katello/katello/pull/4656 added
- Pull request deleted ()

#2 - 09/15/2014 10:02 AM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|86f78e1a46a40326d590a26f4c3f85¢7331537fd.

#3 - 09/15/2014 02:16 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 09/15/2014 02:23 PM - Eric Helms

- translation missing: en.field_release set to 13

05/17/2024 1/1



https://projects.theforeman.org/projects/katello/repository/katello/revisions/86f78e1a46a40326d590a26f4c3f85c7331537fd
http://www.tcpdf.org

